#include "gui/atlas.cpp"
#include "gui/gui.cpp"
#include "gui/scrollingelement.cpp"
#include "gui/video.cpp"
#include "math/quaternion.cpp"
#include "physics/debugrender.cpp"
#include "physics/ghost.cpp"
#include "physics/rigidbody.cpp"
#include "physics/shape.cpp"
#include "physics/simulation.cpp"
#include "physics/window.cpp"
#include "render/debugrender.cpp"
#include "render/rendertarget.cpp"
#include "resources/resourcefont.cpp"
#include "resources/resourceimage.cpp"
#include "resources/resourcemodel.cpp"
#include "resources/resourcesound.cpp"
#include "resources/resourcetexture3d.cpp"
#include "resources/resourcevideo.cpp"
#include "scene/layer.cpp"
#include "scene/scene.cpp"
#include "scene/scenecamera.cpp"
#include "scene/sceneobject.cpp"
#include "configuration.cpp"
#include "eventhandler.cpp"
#include "filename.cpp"
#include "genesis.cpp"
#include "inputmanager.cpp"
#include "logger.cpp"
#include "memory.cpp"
#include "rendersystem.cpp"
#include "resourcemanager.cpp"
#include "shader.cpp"
#include "shadercache.cpp"
#include "shaderuniform.cpp"
#include "shaderuniforminstance.cpp"
#include "soundmanager.cpp"
#include "taskmanager.cpp"
#include "tinyxml2.cpp"
#include "vertexbuffer.cpp"
#include "videoplayer.cpp"
#include "xml.cpp"
#include "window.cpp"

#include "imgui/imgui.cpp"
#include "imgui/imgui_demo.cpp"
#include "imgui/imgui_draw.cpp"
#include "imgui/imgui_impl.cpp"
#include "imgui/imgui_tables.cpp"
#include "imgui/imgui_widgets.cpp"
#include "imgui/misc/cpp/imgui_stdlib.cpp"

#ifdef _WIN32
#include "timer_win32.cpp"
#else
#include "timer.cpp"
#endif